package io.trustbuilder.mfa.android.demoapp.utils;

import android.app.AlertDialog;
import android.content.Context;
import android.text.InputType;
import android.widget.EditText;

public class UiUtils {

    private UiUtils() { }

    public static AlertDialog.Builder createSecretCodeDefinitionAlertDialogBuilder(Context context) {
        AlertDialog.Builder builder = new AlertDialog.Builder(context);
        builder.setTitle("Define your secret code");
        return builder;
    }

    public static AlertDialog.Builder createSecretCodeValidationAlertDialogBuilder(Context context) {
        AlertDialog.Builder builder = new AlertDialog.Builder(context);
        builder.setTitle("Enter your secret code");
        return builder;
    }

    public static EditText createSecretCodeEditText(Context context) {
        final EditText input = new EditText(context);
        input.setInputType(InputType.TYPE_CLASS_TEXT | InputType.TYPE_TEXT_VARIATION_PASSWORD);
        return input;
    }
}
